import requests
url = "https://api.diga.io/v1/workflow/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"language": "<string>",
"template": {},
"description": "<string>",
"flow_category": "post_call",
"setup_guide_url": "<string>",
"connections": [
{
"key": "<string>",
"name": "<string>",
"piece_name": "<string>",
"auth_type": "<string>",
"description": "<string>"
}
],
"variables": [
"<string>"
]
}
],
"has_more": true,
"first_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_page": 123,
"total_pages": 123
}List available workflow templates.
Templates are pre-configured workflow examples that users can browse to find starting points for their own workflows. Templates are global (not per-company).
Supports filtering by:
Args: params: Query parameters including pagination and filters auth: Authentication context session: Database session
Returns: Paginated list of flow templates
import requests
url = "https://api.diga.io/v1/workflow/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"language": "<string>",
"template": {},
"description": "<string>",
"flow_category": "post_call",
"setup_guide_url": "<string>",
"connections": [
{
"key": "<string>",
"name": "<string>",
"piece_name": "<string>",
"auth_type": "<string>",
"description": "<string>"
}
],
"variables": [
"<string>"
]
}
],
"has_more": true,
"first_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_page": 123,
"total_pages": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
x >= 11 <= x <= 100asc, desc post_call, during_call, pre_call, empty